Loading...
Searching...
No Matches
dolfin::MixedNonlinearVariationalProblem Class Reference

`#include <MixedNonlinearVariationalProblem.h>`

Inheritance diagram for dolfin::MixedNonlinearVariationalProblem:
[legend]
Collaboration diagram for dolfin::MixedNonlinearVariationalProblem:
[legend]

## Public Types

typedef std::vector< std::vector< std::shared_ptr< const Form > > > | form_list_type

## Public Member Functions

| MixedNonlinearVariationalProblem (form_list_type F, std::vector< std::shared_ptr< Function > > u, std::vector< std::shared_ptr< const DirichletBC > > bcs, form_list_type J={{nullptr}})
void | set_bounds (const std::vector< Function > &lb_func, const std::vector< Function > &ub_func)
| Set the bounds for bound constrained solver.
void | set_bounds (std::vector< std::shared_ptr< const GenericVector > > lb, std::vector< std::shared_ptr< const GenericVector > > ub)
| Set the bounds for bound constrained solver.
form_list_type | residual_form () const
| Return residual form.
std::shared_ptr< const Form > | residual_form (int i, int j=0) const
form_list_type | jacobian_form () const
| Return Jacobian form.
std::shared_ptr< const Form > | jacobian_form (int i, int j=0) const
std::vector< std::shared_ptr< Function > > | solution ()
| Return solution variable.
std::shared_ptr< Function > | solution (int i)
const std::vector< std::shared_ptr< Function > > | solution () const
| Return solution variable - const version.
std::shared_ptr< const Function > | solution (int i) const
std::vector< std::vector< std::shared_ptr< const DirichletBC > > > | bcs () const
| Return boundary conditions.
std::vector< std::shared_ptr< const DirichletBC > > | bcs (int i) const
std::vector< std::shared_ptr< const FunctionSpace > > | trial_space () const
| Return trial space.
std::shared_ptr< const FunctionSpace > | trial_space (int i) const
std::vector< std::shared_ptr< const FunctionSpace > > | test_space () const
| Return test space.
std::shared_ptr< const FunctionSpace > | test_space (int i) const
std::vector< std::shared_ptr< const GenericVector > > | lower_bound () const
| Return lower bound.
std::vector< std::shared_ptr< const GenericVector > > | upper_bound () const
| Return upper bound.
bool | has_jacobian () const
| Check whether Jacobian has been defined.
bool | has_lower_bound () const
| Check whether lower bound has been defined.
bool | has_upper_bound () const
| Check whether upper bound have has defined.
Public Member Functions inherited from dolfin::Hierarchical< MixedNonlinearVariationalProblem >
| Hierarchical (MixedNonlinearVariationalProblem &self)
| Constructor.
virtual | ~Hierarchical ()
| Destructor.
std::size_t | depth () const
bool | has_parent () const
bool | has_child () const
MixedNonlinearVariationalProblem & | parent ()
std::shared_ptr< MixedNonlinearVariationalProblem > | parent_shared_ptr ()
MixedNonlinearVariationalProblem & | child ()
std::shared_ptr< MixedNonlinearVariationalProblem > | child_shared_ptr ()
MixedNonlinearVariationalProblem & | root_node ()
std::shared_ptr< MixedNonlinearVariationalProblem > | root_node_shared_ptr ()
MixedNonlinearVariationalProblem & | leaf_node ()
std::shared_ptr< MixedNonlinearVariationalProblem > | leaf_node_shared_ptr ()
void | set_parent (std::shared_ptr< MixedNonlinearVariationalProblem > parent)
| Set parent.
void | clear_child ()
| Clear child.
void | set_child (std::shared_ptr< MixedNonlinearVariationalProblem > child)
| Set child.
const Hierarchical & | operator= (const Hierarchical &hierarchical)
| Assignment operator.
void | _debug () const
| Function useful for debugging the hierarchy.

## Detailed Description

This class represents a mixed nonlinear variational problem:

Find u = (u_1, ..., u_n) in V = V1 x ... x Vn such that

    F(u; v) = 0  for all v in V^,

where V is the trial space and V^ is the test space.

## Member Typedef Documentation

## form_list_type

typedef std::vector<std::vector<std::shared_ptr<const Form> > > dolfin::MixedNonlinearVariationalProblem::form_list_type

Create mixed nonlinear variational problem with a list of boundary conditions

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/MixedNonlinearVariationalProblem.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/MixedNonlinearVariationalProblem.cpp